Bug 310281 - xgnokii bombs with buffer overflow with Nokia 6230i when attempting to read SMS from phone
xgnokii bombs with buffer overflow with Nokia 6230i when attempting to read S...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnokii (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 00:32 EDT by David Campbell
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 00:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bombout details including stack backtrace (6.31 KB, text/plain)
2007-09-28 00:32 EDT, David Campbell
no flags Details

  None (edit)
Description David Campbell 2007-09-28 00:32:42 EDT
Description of problem:

xgnokii bombs with Nokia 6230i when attempting to read SMS from phone

I'm using bluetooth.  Reading contacts from the phone works fine, so I know the
connectivity is there.

Version-Release number of selected component (if applicable):

xgnokii-0.6.14-3.fc7

How reproducible:

Always

Steps to Reproduce:
1. Run xgnokii
2. Over bluetooth, phone asks to allow connection - ALLOW
3. Click SMS in xgnokii
4.  Click Inbox
5. Press CTRL-A or choose Messages/Activate SMS Reading
  
Actual results:

xgnokii bombs out.  I will attach the details.

Expected results:

Should work and not bomb
Comment 1 David Campbell 2007-09-28 00:32:42 EDT
Created attachment 209421 [details]
bombout details including stack backtrace
Comment 2 David Campbell 2007-11-19 00:02:04 EST
Not seeing this in f8

Note You need to log in before you can comment on or make changes to this bug.